Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 59393 - Traceback from authconfig-gtk: AttributeError: 'XML' object has no attribute 'get_widget'
Traceback from authconfig-gtk: AttributeError: 'XML' object has no attribute ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: authconfig (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-06 16:31 EST by Bill Crawford
Modified: 2013-07-02 18:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 11:46:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Crawford 2002-02-06 16:31:00 EST
Description of Problem:
[bill@pikachu linux]$ authconfig-gtk 
Traceback (most recent call last):
  File "/usr/share/authconfig/authconfig-gtk.py", line 181, in ?
    vbox, eventbox = module.launch()
  File "/usr/share/authconfig/authconfig-gtk.py", line 97, in launch
    box = xml.get_widget(top)
AttributeError: 'XML' object has no attribute 'get_widget'

Version-Release number of selected component (if applicable):
[bill@pikachu bill]$ rpm -q authconfig authconfig-gtk usermode usermode-gtk
pygtk PyXML 4Suite python
authconfig-4.2.4-1
authconfig-gtk-4.2.4-1
usermode-1.50-2
usermode-gtk-1.50-2
pygtk-0.6.8-4
PyXML-0.7-3
4Suite-0.11.1-4
python-2.2-7

Additional info:
Same thing happens if I run it as root.
Comment 1 Jindrich Novy 2004-10-03 11:46:58 EDT
Things like this no more happens with authconfig-4.3.4-x and above.

thanks for the report,
Jindrich

Note You need to log in before you can comment on or make changes to this bug.